Index: doc/freediameter.conf.sample
===================================================================
--- doc/freediameter.conf.sample	(revision 1397)
+++ doc/freediameter.conf.sample	(revision 1400)
@@ -6,10 +6,10 @@
 # It is possible to use "include" keyword to import additional files
 # e.g.: include "/etc/freeDiameter.d/*.conf"
-# This is exactly equivalent as copy & paste the content of the included file(s) 
+# This is exactly equivalent as copy & paste the content of the included file(s)
 # where the "include" keyword is found.
 
 
 ##############################################################
-##  Peer identity and realm 
+##  Peer identity and realm
 
 # The Diameter Identity of this daemon.
@@ -35,8 +35,8 @@
 #SecPort = 5868;
 
-# Use RFC3588 method for TLS protection, where TLS is negociated after CER/CEA exchange is completed 
-# on the unsecure connection. The alternative is RFC6733 mechanism, where TLS protects also the 
+# Use RFC3588 method for TLS protection, where TLS is negociated after CER/CEA exchange is completed
+# on the unsecure connection. The alternative is RFC6733 mechanism, where TLS protects also the
 # CER/CEA exchange on a dedicated secure port.
-# This parameter only affects outgoing connections. 
+# This parameter only affects outgoing connections.
 # The setting can be also defined per-peer (see Peers configuration section).
 # Default: use RFC6733 method with separate port for TLS.
@@ -127,5 +127,5 @@
 # Certificate Revocation List file
 # The information about revoked certificates.
-# The file contains a list of trusted CRLs in PEM format. They should have been verified before. 
+# The file contains a list of trusted CRLs in PEM format. They should have been verified before.
 # (This parameter is passed to gnutls_certificate_set_x509_crl_file function)
 # Note: openssl CRL format might have interoperability issue with GNUTLS format.
@@ -134,5 +134,5 @@
 
 # GNU TLS Priority string
-# This string allows to configure the behavior of GNUTLS key exchanges 
+# This string allows to configure the behavior of GNUTLS key exchanges
 # algorithms. See gnutls_priority_init function documentation for information.
 # You should also refer to the Diameter required TLS support here:
@@ -145,5 +145,5 @@
 # Set the number of bits for generated DH parameters
 # Valid value should be 768, 1024, 2048, 3072 or 4096.
-# (This parameter is passed to gnutls_dh_params_generate2 function, 
+# (This parameter is passed to gnutls_dh_params_generate2 function,
 # it usually should match RSA key size)
 # Default : 1024
@@ -151,5 +151,5 @@
 
 # Alternatively, you can specify a file to load the PKCS#3 encoded
-# DH parameters directly from. This accelerates the daemon start 
+# DH parameters directly from. This accelerates the daemon start
 # but is slightly less secure. If this file is provided, the
 # TLS_DH_Bits parameters has no effect.
@@ -179,6 +179,6 @@
 # Disable the relaying of Diameter messages?
 # For messages not handled locally, the default behavior is to forward the
-# message to another peer if any is available, according to the routing 
-# algorithms. In addition the "0xffffff" application is advertised in CER/CEA 
+# message to another peer if any is available, according to the routing
+# algorithms. In addition the "0xffffff" application is advertised in CER/CEA
 # exchanges.
 # Default: Relaying is enabled.
@@ -196,4 +196,19 @@
 # Default: 1
 #RoutingOutThreads= 1;
+
+# Maximum size of the incoming queue (messages queued after accepting
+# them from the network) before blocking
+# Default: 20
+#IncomingQueueLimit = 20;
+
+# Maximum size of the outgoing queue (messages queued for sending to
+# the network) before blocking
+# Default: 30
+#OutgoingQueueLimit = 30;
+
+# Maximum size of the local queue (messages queued for local handling)
+# before blocking
+# Default: 25
+#LocalQueueLimit = 25;
 
 # Other applications are configured by loaded extensions.
@@ -206,5 +221,5 @@
 # as well as advanced functions, are provided
 # by loadable extensions (plug-ins).
-#  These extensions may in addition receive the name of a 
+#  These extensions may in addition receive the name of a
 # configuration file, the format of which is extension-specific.
 #
@@ -245,7 +260,7 @@
 #  The local server listens for incoming connections. By default,
 # all unknown connecting peers are rejected. Extensions can override this behavior (e.g., acl_wl).
-# 
+#
 #  In addition to incoming connections, the local peer can
-# be configured to establish and maintain connections to some 
+# be configured to establish and maintain connections to some
 # Diameter nodes and allow connections from these nodes.
 #  This is achieved with the ConnectPeer directive described below.
@@ -278,2 +293,3 @@
 # Default: Always
 #RouteRecordInAnswers = Never;
+
